Summary:   A remote display system.
Name:      tightvnc
Version:   1.3.10
Release:   2
URL:       http://www.tightvnc.com/
Source0:   %{name}-%{version}_unixsrc.tar.bz2
Source1:   vncservers.conf
Source2:   vncserver.aix.init
Patch0:    %{name}-%{version}-aix-imake.patch
Patch1:    %{name}-%{version}-aix-vncserver.patch
Patch2:    tightvnc.patch
License:   GPL
Group:     User Interface/Desktops
Packager:  Constantin Kaplinsky <const@tightvnc.com>
Obsoletes: vnc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel libjpeg-devel
Requires: zlib libjpeg

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures. TightVNC is an enhanced
VNC distribution. This package contains a client which will allow you
to connect to other desktops running a VNC or a TightVNC server.


%package server
Summary: TightVNC server
Obsoletes: vnc-server
Requires: zlib libjpeg
Group: User Interface/X

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms. TightVNC is an enhanced VNC distribution. This
package is a TightVNC server, allowing others to access the desktop on
your machine.


%prep
%setup -q -n vnc_unixsrc
%patch0
%patch1
%patch2 -p1

%build
export PATH=/usr/bin:/etc:/usr/sbin:/usr/ucb:/usr/bin/X11:/sbin:.
export LIBPATH=

export RM="/usr/bin/rm -f"
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

xmkmf -a
make World
cd Xvnc
./configure
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
./vncinstall ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_mandir}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/vnc
cp -pr classes ${RPM_BUILD_ROOT}%{_datadir}/vnc

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cat > ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/vncviewer.desktop << EOF
[Desktop Entry]
Name=VNC Viewer
Comment=VNC client application
Exec=/opt/freeware/bin/vncviewer
Terminal=0
Type=Application
EOF

# create the directory structure
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d

cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/sysconfig/vncservers
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/vncservers
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/vncserver
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/vncserver

ln -sf '../init.d/vncserver' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Svncserver
ln -sf '../init.d/vncserver' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Kvncserver
ln -sf '../init.d/vncserver' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Svncserver
ln -sf '../init.d/vncserver' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Kvncserver

cd ${RPM_BUILD_ROOT}%{_prefix}
ln -s share/vnc vnc

cd ${RPM_BUILD_ROOT}
mkdir -p usr/lpp/X11/bin
cd usr/lpp/X11/bin
ln -sf ../../../..%{_bindir}/* .


%preun server
if [ "$1" = 0 ]; then
    /etc/rc.d/init.d/vncserver stop
fi
:


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc LICENCE.TXT README WhatsNew ChangeLog
%{_bindir}/vncviewer
%config(noreplace) /etc/X11/applnk/Applications/vncviewer.desktop
%{_mandir}/man1/vncviewer.1
/usr/lpp/X11/bin/vncviewer


%files server
%defattr(-,root,system)
%doc LICENCE.TXT README WhatsNew ChangeLog
%attr(0755,root,system) %config /etc/rc.d/init.d/vncserver
%config(noreplace) /etc/sysconfig/vncservers
/etc/rc.d/rc2.d/Svncserver
/etc/rc.d/rc2.d/Kvncserver
/etc/rc.d/rc3.d/Svncserver
/etc/rc.d/rc3.d/Kvncserver
%{_bindir}/Xvnc
%{_bindir}/vncserver
%{_bindir}/vncpasswd
%{_bindir}/vncconnect
%{_prefix}/vnc
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1
%{_mandir}/man1/vncserver.1
%{_mandir}/man1/vncconnect.1
%{_mandir}/man1/vncpasswd.1
/usr/lpp/X11/bin/Xvnc
/usr/lpp/X11/bin/vncserver
/usr/lpp/X11/bin/vncpasswd
/usr/lpp/X11/bin/vncconnect


%changelog
* Thu May 24 2012 Michael Perzl <michael@perzl.org> - 1.3.10-2
- added a missing symbolic link for compatibility with MS Internet Explorer

* Wed Mar 11 2009 Michael Perzl <michael@perzl.org> - 1.3.10-1
- updated to version 1.3.10

* Wed Mar 11 2009 Michael Perzl <michael@perzl.org> - 1.3.9-2
- fixed a font path problem (no TrueType support !) in the vncserver script

* Mon May 26 2008 Michael Perzl <michael@perzl.org> - 1.3.9-1
- first version for AIX V5.1 and higher
